com.sun.grid.ca

## Class InitCAParameters

- java.lang.Object
- - com.sun.grid.ca.InitCAParameters

- All Implemented Interfaces:
    java.io.Serializable

      public class InitCAParameters
      extends java.lang.Object
      implements java.io.Serializable

  This class hold the parameters for Certificate Authority
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `InitCAParameters.ParamDef` Defines a parameter for the init ca command.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static InitCAParameters.ParamDef` | `ADMIN_EMAIL` Definition of the admin email address parameter
    `static InitCAParameters.ParamDef` | `COUNTRY` Definition of the country parameter
    `static InitCAParameters.ParamDef` | `LOCATION` Definition of the location parameter
    `static InitCAParameters.ParamDef` | `ORG` Definition of the organisation parameter
    `static InitCAParameters.ParamDef` | `ORG_UNIT` Definition of the organisation unit parameter
    `static InitCAParameters.ParamDef` | `STATE` Definition of the state parameter

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InitCAParameters()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAdminEmailAddress()` Get the email address of the ca adminstrator
    `java.lang.String` | `getCountry()` Get the country of the ca.
    `java.lang.String` | `getLocation()` Get the location of the ca.
    `java.lang.String` | `getOrganization()` Get the organization of the ca.
    `java.lang.String` | `getOrganizationUnit()` Get the organization unit of the ca.
    `java.lang.String` | `getState()` Get the state of the ca.
    `static InitCAParameters` | `queryNewInstance(javax.security.auth.callback.CallbackHandler callbackHandler)` Query the values for a init ca command.
    `void` | `setAdminEmailAddress(java.lang.String adminEmailAddress)` Set the email address of the ca adminstrator
    `void` | `setCountry(java.lang.String country)` Set the country of the ca (e.g.
    `void` | `setLocation(java.lang.String location)` Set the location of the ca (e.g.
    `void` | `setOrganization(java.lang.String organization)` Set the organization of the ca.
    `void` | `setOrganizationUnit(java.lang.String organizationUnit)` Set the organization unit of the ca.
    `void` | `setState(java.lang.String state)` Set the state of the ca (e.g.
    `void` | `validate()` Validate the `InitCAParameters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COUNTRY

          public static final InitCAParameters.ParamDef COUNTRY

      Definition of the country parameter

    - #### STATE

          public static final InitCAParameters.ParamDef STATE

      Definition of the state parameter

    - #### LOCATION

          public static final InitCAParameters.ParamDef LOCATION

      Definition of the location parameter

    - #### ORG

          public static final InitCAParameters.ParamDef ORG

      Definition of the organisation parameter

    - #### ORG_UNIT

          public static final InitCAParameters.ParamDef ORG_UNIT

      Definition of the organisation unit parameter

    - #### ADMIN_EMAIL

          public static final InitCAParameters.ParamDef ADMIN_EMAIL

      Definition of the admin email address parameter

  - ### Constructor Detail

    - #### InitCAParameters

          public InitCAParameters()

  - ### Method Detail

    - #### queryNewInstance

          public static InitCAParameters queryNewInstance(javax.security.auth.callback.CallbackHandler callbackHandler)
                                                   throws java.io.IOException,
                                                          javax.security.auth.callback.UnsupportedCallbackException

      Query the values for a init ca command.
      Parameters:
        `callbackHandler` - the callback handler which is used to query the values
      Returns:
        the `InitCAParameters` object with the queried values
      Throws:
        `java.io.IOException` - if the callback handler throws a IOException
        `javax.security.auth.callback.UnsupportedCallbackException` - if the the callback handler does not support `NameCallback` or `TextOutputCallback`

    - #### getCountry

          public java.lang.String getCountry()

      Get the country of the ca.
      Returns:
        the country of the ca

    - #### setCountry

          public void setCountry(java.lang.String country)
                          throws GridCAException

      Set the country of the ca (e.g. Germany)
      Parameters:
        `country` - country of the ca (exact two characters)
      Throws:
        `GridCAException` - if `country` is not valid

    - #### getState

          public java.lang.String getState()

      Get the state of the ca.
      Returns:
        the state of the ca

    - #### setState

          public void setState(java.lang.String state)
                        throws GridCAException

      Set the state of the ca (e.g. Bayern)
      Parameters:
        `state` - state of the ca (at least one char)
      Throws:
        `GridCAException` - if `state` is not valid

    - #### getLocation

          public java.lang.String getLocation()

      Get the location of the ca.
      Returns:
        the location of the ca

    - #### setLocation

          public void setLocation(java.lang.String location)
                           throws GridCAException

      Set the location of the ca (e.g. city)
      Parameters:
        `location` - location of the ca (at least one char)
      Throws:
        `GridCAException` - if `location` is not valid

    - #### getOrganization

          public java.lang.String getOrganization()

      Get the organization of the ca.
      Returns:
        the organization of the ca

    - #### setOrganization

          public void setOrganization(java.lang.String organization)
                               throws GridCAException

      Set the organization of the ca.
      Parameters:
        `organization` - organization of the ca (at least one char)
      Throws:
        `GridCAException` - if `organization` is not valid

    - #### getOrganizationUnit

          public java.lang.String getOrganizationUnit()

      Get the organization unit of the ca.
      Returns:
        the organization unit of the ca

    - #### setOrganizationUnit

          public void setOrganizationUnit(java.lang.String organizationUnit)
                                   throws GridCAException

      Set the organization unit of the ca.
      Parameters:
        `organizationUnit` - organization unit of the ca (at least one char)
      Throws:
        `GridCAException` - if `organizationUnit` is not valid

    - #### getAdminEmailAddress

          public java.lang.String getAdminEmailAddress()

      Get the email address of the ca adminstrator
      Returns:
        the email address of the ca adminstrator

    - #### setAdminEmailAddress

          public void setAdminEmailAddress(java.lang.String adminEmailAddress)
                                    throws GridCAException

      Set the email address of the ca adminstrator
      Parameters:
        `adminEmailAddress` - email address of the ca adminstrator (at least one char)
      Throws:
        `GridCAException` - if `adminEmailAddress` is not valid

    - #### validate

          public void validate()
                        throws GridCAException

      Validate the `InitCAParameters`
      Throws:
        `GridCAException` - if the parameters are not valid